import request from "@/utils/request";

export function selectByMonthAndUser(data) {
  let f = new FormData();
  Object.keys(data).forEach((key) => {
    f.append(key, data[key]);
  });
  return request({
    url: "/oa/attendance/selectByMonthAndUser",
    method: "post",
    data: f,
  });
}
// 汇总表
export function generateSummary(data) {
  let f = new FormData();
  Object.keys(data).forEach((key) => {
    f.append(key, data[key]);
  });
  return request({
    url: "/oa/attendance/generateSummary",
    method: "post",
    data: f,
  });
}
//提交
export function summaryMore(data) {
  return request({
    url: "/system/summary/more",
    method: "post",
    data: data,
  });
}
//考勤查询页汇总表
export function summaryList(data) {
  let f = new FormData();
  Object.keys(data).forEach((key) => {
    f.append(key, data[key]);
  });
  return request({
    url: "/system/summary/list",
    method: "post",
    data: f,
  });
}
//预览
export function selectTable(id) {
  return request({
    url: "/system/sure/selectTable/" + id,
    method: "get",
  });
}
